<?php
require_once 'Smarty/Smarty.class.php';
class Custom_View_Smarty extends Smarty
{
	
	public function __construct($extraParams = array())
    {   
        $this->Smarty();
        foreach ($extraParams as $key => $value){
        	$this->$key = $value;
        }
    }
    
    public function setBasePath($path)
    {   
        $path = rtrim($path, '/\\') . DIRECTORY_SEPARATOR;
        $this->template_dir = $path . 'views';
        $this->compile_dir  = $path . 'templates_c';
        $this->cache_dir    = $path . 'cache';
    }
}